From c1de7d133a9796d1825d6cc49a53f20bdf42f87d Mon Sep 17 00:00:00 2001
From: Birger Schacht <birger@rantanplan.org>
Date: Mon, 27 Apr 2020 14:55:22 +0200
Subject: [PATCH] Update to python3
Forwarded: https://github.com/petterreinholdtsen/battery-stats/commit/4c734b494b097f94de63b909a06e51bac4d0749d
---
 src/battery-stats-generate | 6 +++---
 src/battery-stats-graph    | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/battery-stats-generate b/src/battery-stats-generate
index 7eab7c5..573a88d 100755
--- a/src/battery-stats-generate
+++ b/src/battery-stats-generate
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/python3
 
 import argparse
 import itertools
@@ -32,11 +32,11 @@ def generate(args):
         print(','.join(fields))
         # remove or add between 0 and 10% of the charge, half the time
         energy_now += change_charge(args.discharge_prob,
-                                    factor=random.randint(0, energy_full/args.discharge_rate))
+                                    factor=random.randint(0, int(energy_full/args.discharge_rate)))
 
         # around one out of 3 changes to remove around 0.1% of charge
         energy_full -= change_charge(args.damage_prob, mult = 0,
-                                     factor=random.randint(0, energy_full/args.damage_rate))
+                                     factor=random.randint(0, int(energy_full/args.damage_rate)))
         now += args.wait
         if not i:
             break
diff --git a/src/battery-stats-graph b/src/battery-stats-graph
index 2e651e4..8545048 100755
--- a/src/battery-stats-graph
+++ b/src/battery-stats-graph
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/python3
 # -*- coding: utf-8 -*-
 #
 # This file is part of the battery-stats package.
@@ -87,7 +87,7 @@ def parse_csv_builtin(fields =
     except csv.Error as e:
         logging.warning('CSV file is corrupt, skipping remaining entries: %s', e)
     logging.debug('building data array')
-    return np.array(data, dtype=zip(fields, 'f'*len(fields)))
+    return np.array(data, dtype=list(zip(fields, 'f'*len(fields))))
 
 # the builtin CSV parser above is faster, we went from 8 to 2 seconds
 # on our test data here there are probably other ways of making this
-- 
2.26.2

